CREATE OR REPLACE PACKAGE telsale_pkg IS

    -- Author  : WANGWEI-202
    -- Created : 2023/3/10 15:13:34
    -- Purpose : Ŀɰ

    PROCEDURE ǻ
    (
        a_start_date IN DATE,
        a_end_date   IN DATE
    );

    PROCEDURE gen_ʱ
    (
        a_start_date IN DATE,
        a_end_date   IN DATE
    );

    PROCEDURE ;

    PROCEDURE chefei_daily_job;
    PROCEDURE xubao_daily_job;

END telsale_pkg;
/
CREATE OR REPLACE PACKAGE BODY telsale_pkg IS

    PROCEDURE ǻ
    (
        a_start_date IN DATE,
        a_end_date   IN DATE
    ) IS
        --l_count INTEGER; --м¼
    BEGIN
        --ʱ
        gen_ʱ(a_start_date,
                   a_end_date);
    
        FOR caller_record IN (SELECT *
                                FROM desktop_archievement_admin.ϯÿձ_t)
        LOOP
            BEGIN
                DELETE desktop_archievement_admin.ϯÿձ cf
                 WHERE cf.ǩ = caller_record.ǩ
                   AND cf. = caller_record.
                   AND cf.n = caller_record.n
                   AND cf.ϯ = caller_record.ϯ;
            EXCEPTION
                WHEN no_data_found THEN
                    dbms_output.put_line(caller_record.ǩ || 'ظ');
            END;
        
            INSERT INTO desktop_archievement_admin.ϯÿձ
            VALUES caller_record;
        
        END LOOP;
    
        COMMIT;
        /*EXCEPTION
        WHEN OTHERS THEN
            NULL;*/
    END;

    /**********************************************************************/

    PROCEDURE gen_ʱ
    (
        a_start_date IN DATE,
        a_end_date   IN DATE
    ) IS
    BEGIN
        desktop_archievement_admin.clean_temp_data;
    
        INSERT INTO desktop_archievement_admin.ϯÿձ_t
            WITH aa AS
             (SELECT to_char(t.signature_date,
                             'yyyy-mm-dd') ǩ,
                     (to_char(T.signature_date,
                              'yyyy')) the_year,
                     (to_char(T.signature_date,
                              'mm')) the_month,
                     t.policy_no bdh,
                     t.endorsement_no pdh,
                     qt.t_cre tid,
                     QT.B_CRE BTID, -----ֶ
                     e.inception_date qbsj,
                     e.planned_end_date zzsj,
                     pt.premium_amount - nvl(pt.tax_amount,
                                             0) bf
                     --,qt.qdbf - nvl(qt.qdbf_tax_amount,0) bf
                    ,
                     nt.ecompensation_rate * (pt.premium_amount - nvl(pt.tax_amount,
                                                                      0)) fxbf,
                     z.department_name bm,
                     z.department_code bmdm,
                     CASE
                         WHEN (et.telpartnercode LIKE '%HC%' OR
                              zx.workerno IN (SELECT code
                                                 FROM datacenter.dc_lsj_zx_hc)) THEN
                          '׷ῥ'
                         ELSE
                          ''
                     END Ƿῥ,
                     nvl(zx.workerno,
                         et.telpartnercode) ϯ,
                     (CASE
                         WHEN nvl(zx.workerno,
                                  et.telpartnercode) = 'DX001' AND
                              xx.staff_name LIKE '%%' THEN
                          'ΰ'
                         WHEN nvl(zx.workerno,
                                  et.telpartnercode) = 'DX001' AND
                              xx.staff_name NOT LIKE '%%' THEN
                          ''
                         ELSE
                          to_char(ys.ϯ)
                     END) ϯ,
                     YS.Ŷ ϯŶ,
                     nvl(YS.Ŷ,
                         y.section_office_name) N,
                     nvl((CASE
                             WHEN nvl(zx.workerno,
                                      et.telpartnercode) = 'DX001' AND
                                  xx.staff_name LIKE '%%' THEN
                              'ΰ'
                             WHEN nvl(zx.workerno,
                                      et.telpartnercode) = 'DX001' AND
                                  xx.staff_name NOT LIKE '%%' THEN
                              ''
                             ELSE
                              to_char(ys.ϯ)
                         END),
                         xx.staff_name) N
                FROM idst0.auto_agreement_request_t t
                LEFT JOIN idst0.auto_agreement_t e
                  ON e.policy_no = t.policy_no
                LEFT JOIN idst0.motorised_vehicle_t v
                  ON v.policy_no = e.policy_no
                LEFT JOIN idst0.auto_premium_t pt
                  ON pt.policy_no = t.policy_no
                 AND pt.endorsement_no = t.endorsement_no
                LEFT JOIN ywglxt.w_dxbd_i i
                  ON e.policy_no = i.bdh
                LEFT JOIN idst0.rydm_t xx
                  ON xx.staff_code = nvl(i.zhjywy,
                                         e.operator_code)
                LEFT JOIN idst0.ks_t y
                  ON y.section_office_code = nvl(xx.section_office_code,
                                                 e.section_office_code)
                LEFT JOIN idst0.bm_t z
                  ON z.department_code = nvl(xx.department_code,
                                             e.department_code)
              --left join datacenter.dc_cx_csteam ct on ct.jbrcode = xx.staff_code
                LEFT JOIN idst0.auto_new_product_info_t nt
                  ON nt.policy_no = t.policy_no
                 AND nt.endorsement_no = t.endorsement_no
              --left join ywglxt.q_auto_agreement_extend_t qe on qe.policy_no = e.policy_no
                LEFT JOIN ywglxt.q_auto_agreement_t qt
                  ON qt.policy_no = e.policy_no
                LEFT JOIN datacenter.dc_yangg_qdcode qd
                  ON qd.code = e.selling_channel_type
                LEFT JOIN datacenter.dc_tb_jc_c_tag cl
                  ON cl. = e.policy_no
                LEFT JOIN datacenter.dc_yangg_basecode_teams fg
                  ON fg.bm = z.department_name
                 AND fg.ks = y.section_office_name
              --left join idst0.t_sell_policy_autobase_t zx on zx.policy_no=e.policy_no
              --left join idst0.auto_agreement_extend_t et on et.policy_no = e.policy_no
                LEFT JOIN idst0.auto_agreement_extend_t et
                  ON et.policy_no = e.policy_no
                LEFT JOIN idst0.t_sell_policy_autobase_t zx
                  ON zx.policy_no = e.policy_no
                LEFT JOIN datacenter.dc_YZH_ZXYS YS
                  ON YS.ϯ = nvl(zx.workerno,
                                   et.telpartnercode)
              --left join v_lsj_dimian dm on dm.vin=v.vin and e.selling_channel_type='25' and dm.MEMO like'%%'
              --left join datacenter.dc_lsj_zx_team zt on zt.name=coalesce(zc.name,zc1.name,bc.name,dm.JBRMC)
               WHERE t.signature_date >= to_date('2023-01-01 00:00:00',
                                                 'yyyy-mm-dd hh24:mi:ss')
                 AND t.signature_date < to_date(to_char(SYSDATE - 1,
                                                        'yyyy-mm-dd') || ' 23:59:59',
                                                'yyyy-mm-dd hh24:mi:ss')
                    --and t.endorsement_no = ''
                 AND e.policy_status = '1' --Ч
                 AND qt.tflag = '0' --Ϊ
                 AND qt.usage_xm = 'ͥó'
                    --ᳵĦг
                    --and e.policy_no in ('AXIMC90Y1419B038594J','AXIMC90CTP19B039593R','AXIMC04CTP19B013473X')
                 AND e.planned_end_date - e.inception_date >= 360
              --
              )
            -----ֶ
            ,
            dd2 AS
             (SELECT ǩ,
                     the_year,
                     the_month,
                     bm,
                     bmdm,
                     ϯ,
                     ϯ,
                     ϯŶ,
                     N,
                     N,
                     CASE
                         WHEN pdh = '' THEN
                          tid
                     END tid,
                     to_number('1') ͻ,
                     COUNT(DISTINCT CASE
                               WHEN pdh = '' THEN
                                bdh
                           END) ,
                     SUM(bf) 
                FROM (SELECT DISTINCT *
                        FROM aa) aa
               GROUP BY bm,
                        bmdm,
                        CASE
                            WHEN pdh = '' THEN
                             tid
                        END,
                        the_year,
                        the_month,
                        BTID,
                        ϯ,
                        ϯ,
                        ϯŶ,
                        ǩ,
                        N,
                        N
              UNION
              SELECT ǩ,
                     the_year,
                     the_month,
                     bm,
                     bmdm,
                     ϯ,
                     ϯ,
                     ϯŶ,
                     N,
                     N,
                     CASE
                         WHEN btid = tid THEN
                          ''
                         ELSE
                          btid
                     END btid,
                     to_number('0') ͻ,
                     to_number('0') ,
                     to_number('0') 
                FROM (SELECT DISTINCT *
                        FROM aa) aa),
            DD AS
             (SELECT *
                FROM DD2
               WHERE TID IS NOT NULL)
            --select * from dd
            ,
            bb AS
             (SELECT DISTINCT q.policy_no bdh,
                              q.endorsement_no pdh,
                              qna.t_cre tid,
                              to_number(to_char(q.signature_date,
                                                'yyyy')) || '' nf,
                              (to_char(q.signature_date,
                                       'mm')) mm_f,
                              to_char(q.signature_date,
                                      'dd') || '' dd,
                              q.signature_date sj,
                              round((pt.premium_amount - nvl(pt.taxamount,
                                                             0)) * c.rate / 100,
                                    2) bf,
                              z.department_name bm
                FROM idst0.nonauto_agreement_request_t q
                LEFT JOIN idst0.nonauto_agreement_t e
                  ON e.policy_no = q.policy_no
                LEFT JOIN idst0.nonauto_premium_t pt
                  ON pt.endorsement_no = q.endorsement_no
                 AND pt.policy_no = q.policy_no
                LEFT JOIN idst0.reinsurance_t r
                  ON r.reinsurance_policy_no = e.policy_no
                LEFT JOIN idst0.exrate_month_t c
                  ON pt.currency_code = c.bzh
                 AND to_char(q.signature_date,
                             'YYYY') = c.theyear
                 AND to_char(q.signature_date,
                             'fmmm') = c.themonth
              
                LEFT JOIN idst0.rydm_t x
                  ON x.staff_code = e.operator_code
                LEFT JOIN idst0.ks_t y
                  ON y.section_office_code = x.section_office_code
                LEFT JOIN idst0.bm_t z
                  ON z.department_code = x.department_code
                LEFT JOIN ywglxt.q_nonauto_agreement_t qna
                  ON qna.policy_no = q.policy_no
                LEFT JOIN datacenter.dc_yangg_gkxzh gk
                  ON gk.product_code = e.product_code --ɢ
              --left join datacenter.dc_yangg_zbxzh zb on zb.product_code = e.product_code --
                LEFT JOIN dd
                  ON dd.tid = qna.t_cre
               WHERE qna.tflag = '0'
                 AND (CASE
                         WHEN q.endorsement_no != '' AND
                              round((pt.premium_amount - nvl(pt.taxamount,
                                                             0)) * c.rate / 100,
                                    2) != 0 THEN
                          ''
                     END) IS NULL
                    --and q.endorsement_no = ''
                 AND e.policy_status = '1'
                 AND gk.product_code IS NOT NULL
                 AND (e.product_code LIKE '2%' OR e.product_code LIKE '1106%' --⽡ --
                     OR e.product_code LIKE '1107%' OR e.product_code LIKE '1108%' OR e.product_code LIKE '1307%' OR e.product_code LIKE '1304A400%' --Ҳ
                     
                     )
                    --and e.product_code not in ('22KC9800')
                 AND q.signature_date >= to_date('2023-01-01 00:00:00',
                                                 'yyyy-mm-dd hh24:mi:ss')
                 AND q.signature_date < to_date(to_char(SYSDATE - 1,
                                                        'yyyy-mm-dd') || ' 23:59:59',
                                                'yyyy-mm-dd hh24:mi:ss')
                 AND e.planned_end_date - e.inception_date >= 90
                 AND dd.tid IS NOT NULL
              --ո˿ͻ)
              )
            --SELECT * FROM BB
            ,
            cc AS
             (SELECT mm_f,
                     tid ں֤,
                     COUNT(DISTINCT bdh) ںϱ,
                     SUM(bf) ںϱ
                FROM bb
               GROUP BY tid,
                        mm_f),
            ff AS
             (SELECT dd.*,
                     cc.*
                FROM dd
                LEFT JOIN cc
                  ON cc.ں֤ = dd.tid
                 AND cc.mm_f = dd.the_month) --OR cc.ں֤ = dd.btid
            --select * from ff
            SELECT to_date(ǩ,
                           'yyyy-mm-dd') ǩ,
                   the_year ,
                   the_month ·,
                   bm ,
                   bmdm Ŵ,
                   N,
                   N,
                   ϯ,
                   ϯ,
                   ϯŶ,
                   nvl(SUM(),
                       0) ո˿ͻ,
                   nvl(SUM(ںϱ),
                       0) ںϱ
              FROM ff
             WHERE to_date(ff.ǩ,
                           'yyyy-mm-dd') >= a_start_date
               AND to_date(ff.ǩ,
                           'yyyy-mm-dd') < a_end_date
               AND bm IN ('ҵ',
                          '֧˾')
             GROUP BY ǩ,
                      the_year,
                      the_month,
                      bm,
                      bmdm,
                      ϯ,
                      ϯ,
                      ϯŶ,
                      N,
                      N
             ORDER BY ,
                      ϯ;
        COMMIT;
    END;

    /**********************************************************************/

    PROCEDURE  IS
    BEGIN
        --
        desktop_archievement_admin.clean_mensual_renewal;
    
        --
        INSERT INTO desktop_archievement_admin.ϯͳ
            WITH cc AS
             (SELECT pt.policy_no policy_no,
                     SUM(pt.premium_amount) premium_amount,
                     SUM(pt.tax_amount) tax_amount
                FROM idst0.auto_premium_t pt
               GROUP BY pt.policy_no)
            
            ,
            bb AS
             (SELECT t.policy_no ,
                     (CASE
                         WHEN e.product_code LIKE '1102%' AND
                              e.product_code NOT LIKE '110224%' AND
                              e.product_code != '11026000' THEN
                          'ձ'
                         WHEN e.product_code LIKE '1101%' OR
                              e.product_code LIKE '1301%' OR
                              e.product_code LIKE '11110000%' THEN
                          'Ʋ'
                         WHEN e.product_code LIKE '1107%' OR
                              e.product_code LIKE '1307%' OR
                              e.product_code LIKE '1304A400%' THEN
                          ''
                         WHEN e.product_code LIKE '1106%' OR
                              e.product_code LIKE '51015700' THEN
                          'Ҳ'
                         WHEN (e.product_code LIKE '1104%' OR e.product_code LIKE '1204%' OR e.product_code LIKE '13040000%') AND
                              e.product_code NOT LIKE '120404%' THEN
                          ''
                         WHEN e.product_code LIKE '1203%' OR
                              e.product_code LIKE '1103%' OR
                              e.product_code LIKE '120404%' THEN
                          ''
                         WHEN e.product_code LIKE '1305%' THEN
                          ''
                         WHEN e.product_code LIKE '111%' AND
                              e.product_code NOT LIKE '11110000%' THEN
                          'ũҵ'
                         WHEN e.product_code LIKE '1109%' OR
                              e.product_code LIKE '1309%' THEN
                          '֤'
                         WHEN e.product_code LIKE '1312%' THEN
                          ''
                         WHEN e.product_code LIKE '1308%' THEN
                          ''
                         WHEN e.product_code LIKE '23%' THEN
                          ''
                         WHEN e.product_code LIKE '22%' THEN
                          ''
                         WHEN e.product_code LIKE '110224%' OR
                              e.product_code = '11026000' THEN
                          'ǿ'
                         ELSE
                          'δ'
                     END) AS ִ
                FROM idst0.auto_agreement_request_t t
                LEFT JOIN idst0.auto_agreement_t e
                  ON e.policy_no = t.policy_no)
            
            ,
            aa1 AS
             (SELECT a.policy_no ɱ,
                     a.selling_shop_code ̴,
                     a.planned_end_date ʱ,
                     CASE
                         WHEN to_number(to_char(a.planned_end_date,
                                                'yyyy')) = '2022' AND
                              a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                          'רҵһ'
                         WHEN a.planned_end_date > to_date('2023-04-01 00:00:00',
                                                           'yyyy-mm-dd hh24:mi:ss') AND
                              (a.selling_shop_code || a.tel_sale_4s_code IN ('00EA',
                                                                             '00F1',
                                                                             '00G9')) THEN
                          'רҵһ'
                         ELSE
                          nvl(dt.,
                              z.section_office_name)
                     END ,
                     (CASE
                         WHEN to_number(to_char(a.planned_end_date,
                                                'yyyy')) = '2023' AND
                              nvl(dt.,
                                  y.department_name) NOT LIKE '֧˾' andcd.memo LIKE '%%' OR
                              cd.memo LIKE '%%' and v.vehicle_brand IN ('˹',
                                                  'ε',
                                                  '',
                                                  'С',
                                                  '',
                                                  '',
                                                  'AITO',
                                                  'ARCFOX',
                                                  '˹й',
                                                  '˹(й)') AND
                              v.vin NOT IN ('LJ1E6A2UXL7744108',
                                            'LW433B10XL1001411',
                                            'LJ1E6A3U2L7742089',
                                            'L1NSPGHB0MA002652') THEN
                          'Դҵչŷ'
                         WHEN (CASE
                                  WHEN to_number(to_char(a.planned_end_date,
                                                         'yyyy')) = '2022' AND
                                       a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                                   '֧˾'
                                  ELSE
                                   nvl(dt.,
                                       y.department_name)
                              END) = '֧˾' THEN
                          (CASE
                              WHEN to_number(to_char(a.planned_end_date,
                                                     'yyyy')) = '2022' AND
                                   a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                               '֧˾'
                              ELSE
                               nvl(dt.,
                                   y.department_name)
                          END)
                         WHEN cd.memo LIKE '%%' OR
                              cd.memo LIKE '%%'  THEN
                          'ҵ'
                         WHEN a.planned_end_date > to_date('2023-04-01 00:00:00',
                                                           'yyyy-mm-dd hh24:mi:ss') AND
                              (a.selling_shop_code || a.tel_sale_4s_code IN ('00EA',
                                                                             '00F1',
                                                                             '00G9')) THEN
                          '֧ͬ˾'
                         ELSE
                          (CASE
                              WHEN to_number(to_char(a.planned_end_date,
                                                     'yyyy')) = '2022' AND
                                   a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                               '֧˾'
                              ELSE
                               nvl(dt.,
                                   y.department_name)
                          END)
                     END) β,
                     qa.USAGE_XM ʹ,
                     decode(qa.bd_type,
                            '1',
                            'ǿ',
                            '2',
                            'ҵ',
                            '3',
                            '̹',
                            '') ,
                     (CASE
                         WHEN (qa.bd_type = '1' AND nt.ecompensation_rate > 1) THEN
                          ''
                     END) Ԥ,
                     x.staff_name AS ,
                     bb.ִ,
                     cc.signature_date ±ǩʱ,
                     (SELECT hmd.ܿ
                        FROM (SELECT DISTINCT *
                                FROM dc_lsj_xb_hmd) hmd
                       WHERE hmd.vin = v.vin) ܿ
              
                FROM idst0.auto_agreement_t a
                LEFT JOIN bb
                  ON bb. = a.policy_no
                LEFT JOIN ywglxt.w_dxbd_i i
                  ON a.policy_no = i.bdh
                LEFT JOIN idst0.motorised_vehicle_t v
                  ON a.policy_no = v.policy_no
                LEFT JOIN ywglxt.q_auto_agreement_t qa
                  ON qa.policy_no = a.policy_no
              
                LEFT JOIN idst0.auto_new_product_info_t nt
                  ON nt.policy_no = a.policy_no
                 AND nt.endorsement_no = ''
                LEFT JOIN idst0.rydm_t x
                  ON x.staff_code = nvl(upper(i.zhjywy),
                                        a.operator_code)
                LEFT JOIN idst0.bm_t y
                  ON x.department_code = y.department_code
                LEFT JOIN idst0.ks_t z
                  ON x.section_office_code = z.section_office_code
                LEFT JOIN cc pt
                  ON pt.policy_no = a.policy_no
                LEFT JOIN (SELECT DISTINCT aa.policy_no,
                                          vv.vin,
                                          aa.inception_date,
                                          t.signature_date,
                                          (pt.premium_amount - nvl(pt.tax_amount,
                                                                   0)) qdbf,
                                          (CASE
                                              WHEN aa.inception_date - aa.issue_date >= '30' THEN
                                               vv.vin
                                          END) if30,
                                          bb.ִ
                            FROM idst0.auto_agreement_t aa
                            LEFT JOIN bb
                              ON bb. = aa.policy_no
                            LEFT JOIN idst0.motorised_vehicle_t vv
                              ON vv.policy_no = aa.policy_no
                            LEFT JOIN idst0.auto_agreement_request_t t
                              ON t.policy_no = aa.policy_no
                             AND t.endorsement_no = ''
                            LEFT JOIN idst0.auto_premium_t pt
                              ON pt.policy_no = aa.policy_no
                             AND pt.endorsement_no = ''
                           WHERE aa.policy_no = vv.policy_no
                             AND aa.policy_status = '1' --and aa.product_code not in ('11022400','11023900','11024000','11024600','11026000')
                             AND aa.branch_company_code = '3080100'
                             AND (pt.premium_amount - nvl(pt.tax_amount,
                                                          0)) > 100
                             AND aa.inception_date >= to_date('2022-12-01 00:00:00',
                                                              'yyyy-mm-dd hh24:mi:ss')
                             AND aa.inception_date < to_date('2023-11-01 00:00:00',
                                                             'yyyy-mm-dd hh24:mi:ss')
                             AND aa.branch_company_code = vv.branch_company_code) cc
                  ON (cc.vin = v.vin AND cc.ִ = bb.ִ)
                 AND cc.inception_date > a.planned_end_date - 30 --ʱƷſΪ30
                LEFT JOIN dc_yangg_cx_dianxiaodoudi cd
                  ON cd.policy_no = a.policy_no
                LEFT JOIN dc_tb_jc_c_tag dt
                  ON dt. = a.policy_no
                LEFT JOIN idst0.auto_agreement_t aa
                  ON aa.policy_no = cc.policy_no
                LEFT JOIN cc pt1
                  ON pt1.policy_no = aa.policy_no
               WHERE a.policy_status = '1'
                 AND a.planned_end_date - a.inception_date > 270
                 AND a.planned_end_date >= to_date('2023-01-01 00:00:00',
                                                   'yyyy-mm-dd hh24:mi:ss')
                 AND a.planned_end_date < to_date('2023-10-01 00:00:00',
                                                  'yyyy-mm-dd hh24:mi:ss')),
            aa2 AS
             (SELECT a.policy_no ɱ,
                     a.selling_shop_code ̴,
                     a.planned_end_date ʱ,
                     CASE
                         WHEN to_number(to_char(a.planned_end_date,
                                                'yyyy')) = '2022' AND
                              a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                          'רҵһ'
                         WHEN a.planned_end_date > to_date('2023-04-01 00:00:00',
                                                           'yyyy-mm-dd hh24:mi:ss') AND
                              (a.selling_shop_code || a.tel_sale_4s_code IN ('00EA',
                                                                             '00F1',
                                                                             '00G9')) THEN
                          'רҵһ'
                         ELSE
                          nvl(dt.,
                              z.section_office_name)
                     END ,
                     (CASE
                         WHEN to_number(to_char(a.planned_end_date,
                                                'yyyy')) = '2023' AND
                              nvl(dt.,
                                  y.department_name) NOT LIKE '֧˾' andcd.memo LIKE '%%' OR
                              cd.memo LIKE '%%' and v.vehicle_brand IN ('˹',
                                                  'ε',
                                                  '',
                                                  'С',
                                                  '',
                                                  '',
                                                  'AITO',
                                                  'ARCFOX',
                                                  '˹й',
                                                  '˹(й)') AND
                              v.vin NOT IN ('LJ1E6A2UXL7744108',
                                            'LW433B10XL1001411',
                                            'LJ1E6A3U2L7742089',
                                            'L1NSPGHB0MA002652') THEN
                          'Դҵչŷ'
                         WHEN (CASE
                                  WHEN to_number(to_char(a.planned_end_date,
                                                         'yyyy')) = '2022' AND
                                       a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                                   '֧˾'
                                  ELSE
                                   nvl(dt.,
                                       y.department_name)
                              END) = '֧˾' THEN
                          (CASE
                              WHEN to_number(to_char(a.planned_end_date,
                                                     'yyyy')) = '2022' AND
                                   a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                               '֧˾'
                              ELSE
                               nvl(dt.,
                                   y.department_name)
                          END)
                         WHEN cd.memo LIKE '%%' OR
                              cd.memo LIKE '%%'  THEN
                          'ҵ'
                         WHEN a.planned_end_date > to_date('2023-04-01 00:00:00',
                                                           'yyyy-mm-dd hh24:mi:ss') AND
                              (a.selling_shop_code || a.tel_sale_4s_code IN ('00EA',
                                                                             '00F1',
                                                                             '00G9')) THEN
                          '֧ͬ˾'
                         ELSE
                          (CASE
                              WHEN to_number(to_char(a.planned_end_date,
                                                     'yyyy')) = '2022' AND
                                   a.selling_shop_code || a.tel_sale_4s_code = '00GK' THEN
                               '֧˾'
                              ELSE
                               nvl(dt.,
                                   y.department_name)
                          END)
                     END) β,
                     qa.USAGE_XM ʹ,
                     decode(qa.bd_type,
                            '1',
                            'ǿ',
                            '2',
                            'ҵ',
                            '3',
                            '̹',
                            '') ,
                     (CASE
                         WHEN (qa.bd_type = '1' AND nt.ecompensation_rate > 1) THEN
                          ''
                     END) Ԥ,
                     x.staff_name AS ,
                     bb.ִ,
                     cc.signature_date ±ǩʱ,
                     (SELECT hmd.ܿ
                        FROM (SELECT DISTINCT *
                                FROM dc_lsj_xb_hmd) hmd
                       WHERE hmd.vin = v.vin) ܿ
              
                FROM idst0.auto_agreement_t a
                LEFT JOIN bb
                  ON bb. = a.policy_no
                LEFT JOIN ywglxt.w_dxbd_i i
                  ON a.policy_no = i.bdh
                LEFT JOIN idst0.motorised_vehicle_t v
                  ON a.policy_no = v.policy_no
                LEFT JOIN ywglxt.q_auto_agreement_t qa
                  ON qa.policy_no = a.policy_no
                LEFT JOIN idst0.auto_new_product_info_t nt
                  ON nt.policy_no = a.policy_no
                 AND nt.endorsement_no = ''
                LEFT JOIN idst0.rydm_t x
                  ON x.staff_code = nvl(upper(i.zhjywy),
                                        a.operator_code)
                LEFT JOIN idst0.bm_t y
                  ON x.department_code = y.department_code
                LEFT JOIN idst0.ks_t z
                  ON x.section_office_code = z.section_office_code
                LEFT JOIN cc pt
                  ON pt.policy_no = a.policy_no
                LEFT JOIN (SELECT DISTINCT aa.policy_no,
                                          vv.vin,
                                          aa.inception_date,
                                          t.signature_date,
                                          (pt.premium_amount - nvl(pt.tax_amount,
                                                                   0)) qdbf,
                                          (CASE
                                              WHEN aa.inception_date - aa.issue_date >= '30' THEN
                                               vv.vin
                                          END) if30,
                                          bb.ִ
                            FROM idst0.auto_agreement_t aa
                            LEFT JOIN bb
                              ON bb. = aa.policy_no
                            LEFT JOIN idst0.motorised_vehicle_t vv
                              ON vv.policy_no = aa.policy_no
                            LEFT JOIN idst0.auto_agreement_request_t t
                              ON t.policy_no = aa.policy_no
                             AND t.endorsement_no = ''
                            LEFT JOIN idst0.auto_premium_t pt
                              ON pt.policy_no = aa.policy_no
                             AND pt.endorsement_no = ''
                           WHERE aa.policy_no = vv.policy_no
                             AND aa.policy_status = '1' --and aa.product_code not in ('11022400','11023900','11024000','11024600','11026000')
                             AND aa.branch_company_code = '3080100'
                             AND (pt.premium_amount - nvl(pt.tax_amount,
                                                          0)) > 100
                             AND aa.inception_date >= to_date('2022-12-01 00:00:00',
                                                              'yyyy-mm-dd hh24:mi:ss')
                             AND aa.inception_date < to_date('2023-11-01 00:00:00',
                                                             'yyyy-mm-dd hh24:mi:ss')
                             AND aa.branch_company_code = vv.branch_company_code) cc
                  ON (cc.vin = v.vin AND cc.ִ = bb.ִ)
                 AND cc.inception_date > a.planned_end_date - 30 --ʱƷſΪ30
                LEFT JOIN dc_yangg_cx_dianxiaodoudi cd
                  ON cd.policy_no = a.policy_no
                LEFT JOIN dc_tb_jc_c_tag dt
                  ON dt. = a.policy_no
                LEFT JOIN idst0.auto_agreement_t aa
                  ON aa.policy_no = cc.policy_no
                LEFT JOIN cc pt1
                  ON pt1.policy_no = aa.policy_no
               WHERE a.policy_status = '1'
                 AND a.planned_end_date - a.inception_date > 270
                 AND a.planned_end_date >= to_date('2023-10-01 00:00:00',
                                                   'yyyy-mm-dd hh24:mi:ss')
                 AND a.planned_end_date < to_date('2024-01-01 00:00:00',
                                                  'yyyy-mm-dd hh24:mi:ss'))
            
            ,
            aa3 AS
             (SELECT DISTINCT *
                FROM aa1
              UNION ALL (SELECT DISTINCT *
                          FROM aa2))
            
            ,
            AA AS
             (SELECT AA3.*,
                     nvlzx.workerno,
                     et.telpartnercode) ϯ,
            (CASE WHEN nvlzx.workerno,
             et.telpartnercode) =
             'DX001' AND aa3. LIKE
             '%%' THEN
             'ΰ' WHEN nvlzx.workerno,
            et.telpartnercode) =
             'DX001' AND aa3. NOT LIKE
             '%%' THEN
             '' ELSE to_char
            (ys.ϯ) END) ϯ,
            YS.Ŷ ϯŶ FROM AA3 LEFT JOIN idst0.auto_agreement_extend_t et ON et.policy_no = AA3.ɱ LEFT JOIN idst0.t_sell_policy_autobase_t zx ON zx.policy_no = AA3.ɱ LEFT JOIN dc_YZH_ZXYS YS ON YS.ϯ = nvlzx.workerno,
            et.telpartnercode))
            
            ,
            yxb AS
             (
              ---
              SELECT aa.β ,
                      aa.,
                      aa.,
                      aa.ϯŶ,
                      aa.ϯ,
                      aa.ϯ,
                      --(case when a.ʶ=''and A.β='ҵ'  then 'ҵ' else A.  end)  ,
                      (CASE
                          WHEN COUNT(1) IS NULL THEN
                           0
                          ELSE
                           COUNT(1)
                      END) ۼ
                FROM aa
               WHERE aa.ʹ IN ('ͥó',
                                 'ҵͳ')
                 AND aa.Ԥ IS NULL
                 AND aa.ܿ IS NULL
                 AND aa. IN  '̹', 'ǿ' 
                 AND aa.ʱ >= to_date(to_char(SYSDATE,
                                                'yyyy-mm') || '-01 00:00:00',
                                        'yyyy-mm-dd hh24:mi:ss')
                 AND aa.ʱ < to_date(to_char(SYSDATE - 1,
                                               'yyyy-mm-dd') || ' 23:59:59',
                                       'yyyy-mm-dd hh24:mi:ss')
                 AND aa.±ǩʱ <= to_date(to_char(SYSDATE - 1,
                                                   'yyyy-mm-dd') || ' 23:59:59',
                                           'yyyy-mm-dd hh24:mi:ss')
               GROUP BY aa.β,
                         aa.,
                         aa.,
                         aa.ϯŶ,
                         aa.ϯ,
                         aa.ϯ)
            --=-ۼ/-ۼ
            ,
            dqs AS
             (
              ---
              SELECT aa.β ,
                      aa.,
                      aa.,
                      aa.ϯŶ,
                      aa.ϯ,
                      aa.ϯ,
                      (CASE
                          WHEN COUNT(1) IS NULL THEN
                           0
                          ELSE
                           COUNT(1)
                      END) 
                FROM aa
               WHERE aa.ʹ IN ('ͥó',
                                 'ҵͳ')
                 AND aa.Ԥ IS NULL
                 AND aa.ܿ IS NULL
                 AND aa. IN  '̹', 'ǿ' 
                 AND aa.ʱ >= to_date(to_char(SYSDATE,
                                                'yyyy-mm') || '-01 00:00:00',
                                        'yyyy-mm-dd hh24:mi:ss')
                 AND aa.ʱ < to_date(to_char(SYSDATE - 1,
                                               'yyyy-mm-dd') || ' 23:59:59',
                                       'yyyy-mm-dd hh24:mi:ss')
               GROUP BY aa.β,
                         aa.,
                         aa.,
                         aa.ϯŶ,
                         aa.ϯ,
                         aa.ϯ)
            SELECT dqs.,
                   dqs.,
                   dqs.,
                   dqs.ϯŶ,
                   dqs.ϯ,
                   dqs.ϯ,
                   yxb.ۼ,
                   dqs.
              FROM yxb,
                   dqs --,sdqs,syxs,cyxs,cdqs
             WHERE dqs. = yxb.
               AND dqs. = yxb.
               AND dqs. = yxb.
               AND dqs.ϯ = yxb.ϯ
               AND dqs.ϯ = yxb.ϯ;
        COMMIT;
    END;

    PROCEDURE chefei_daily_job IS
    BEGIN
        ǻ(SYSDATE - 3,
               SYSDATE);
    END;

    PROCEDURE xubao_daily_job IS
    BEGIN
        ;
    END;

BEGIN
    NULL;
END telsale_pkg;
/
